import { Module, ReExportVariableModule } from '../../module';
import * as types from './typings';
export declare class EntityModule extends Module {
    private _entity;
    constructor(name: string, _entity: types.EntityDefinition);
    getContent(): Promise<string>;
}
export declare class EntitiesModule extends ReExportVariableModule {
    constructor(entities: Record<string, types.EntityDefinition>);
}
